Summary:	A power manager for Xfce
Name:		xfce4-power-manager
Version:	0.8.0
Release:	%mkrel 1
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/applications/%{name}
Source0:	http://goodies.xfce.org/releases/xfce4-power-manager/%{name}-%{version}.tar.bz2
BuildRequires:	xfconf-devel
BuildRequires:	hal-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool
BuildRequires:	libxfcegui4-devel
BuildRequires:	libxfce4-panel-devel
Requires:	pm-utils
Requires:	hibernate
Requires:	suspend-s2ram
Conflicts:	mandriva-xfce-config-common < 2009.1-2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A power manager dedicated for Xfce desktop environment.

%prep
%setup -q

%build
%configure2_5x \
	--enable-dpms \
	--enable-panel-plugins

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/%{name}*
%{_libdir}/xfce4/panel-plugins/xfce4-brightness-plugin
#%{_libdir}/xfce4/panel-plugins/xfce4-inhibit-plugin
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/doc/C/images/*.png
%{_datadir}/xfce4/doc/C/xfce4-power-manager.html
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_mandir}/man1/*


%changelog
* Wed Jun 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.0-1mdv2009.1
+ Revision: 384924
- update to new version 0.8.0

* Sun May 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.0-0.RC2.1mdv2010.0
+ Revision: 379206
- update to new version 0.8.0-RC2

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.0-0.RC1.3mdv2010.0
+ Revision: 369963
- use epoch, because there was something wrong with tags
- update to new version 0.8.0RC1

* Sat Apr 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-0.beta1.2.beta1mdv2009.1
+ Revision: 366214
- update to new version 0.8.0beta1

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-0.alpha2.1.alpha2mdv2009.1
+ Revision: 364541
- add missing buildrequires on libxfce4-panel-devel
- update to new version 0.8.0 alpha 2
- drop patch0 and source1, included and fixed upstream
- fix file list

* Thu Mar 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-3mdv2009.1
+ Revision: 354350
- conflicts with mandriva-xfce-config-common, due to file relocate between these two packages

* Thu Mar 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-2mdv2009.1
+ Revision: 354342
- Patch0: do not auto-generate autostart file (mdvbz #48708)
- move here a system wide autostart file from mandriva-xfce-config-common

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 349185
- fix file list
- update to new version 0.6.4

* Thu Feb 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 343017
- update to new version 0.6.2

* Fri Feb 06 2009 Funda Wang <fundawang@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 338267
- New version 0.6.1

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-2mdv2009.1
+ Revision: 334474
- rebuild
- update to new version 0.6.0

* Fri Nov 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1.RC1.0mdv2009.1
+ Revision: 300801
- bump release tag
- update to new version 0.6.0RC1

* Tue Oct 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.beta1.3mdv2009.1
+ Revision: 298075
- add requires on suspend-s2ram

* Tue Oct 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.beta1.2mdv2009.1
+ Revision: 298073
- add requires on hibernate
- fix url

* Tue Oct 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.beta1.1mdv2009.1
+ Revision: 298064
- add source and spec files
- Created package structure for xfce4-power-manager.

